<!DOCTYPE HTML>
<html lang="it">
<head>
<!-- Generated by javadoc (17) on Tue Apr 09 16:33:00 CEST 2024 -->
<title>S-Index</title>
<meta name="viewport" content="width=device-width, initial-scale=1">
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2024-04-09">
<meta name="description" content="index: S">
<meta name="generator" content="javadoc/IndexWriter">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../script-dir/jquery-ui.min.css" title="Style">
<link rel="stylesheet" type="text/css" href="../jquery-ui.overrides.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
<script type="text/javascript" src="../script-dir/jquery-3.6.1.min.js"></script>
<script type="text/javascript" src="../script-dir/jquery-ui.min.js"></script>
</head>
<body class="index-page">
<script type="text/javascript">var pathtoroot = "../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flex-box">
<header role="banner" class="flex-header">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="top-nav" id="navbar-top">
<div class="skip-nav"><a href="#skip-navbar-top" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar-top-firstrow" class="nav-list" title="Navigation">
<li><a href="../EsercizioPalestra/package-summary.html">Package</a></li>
<li>Class</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li class="nav-bar-cell1-rev">Index</li>
<li><a href="../help-doc.html#index">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div class="nav-list-search"><label for="search-input">SEARCH:</label>
<input type="text" id="search-input" value="search" disabled="disabled">
<input type="reset" id="reset-button" value="reset" disabled="disabled">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<span class="skip-nav" id="skip-navbar-top"></span></nav>
</header>
<div class="flex-content">
<main role="main">
<div class="header">
<h1>Index</h1>
</div>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">C</a>&nbsp;<a href="index-3.html">D</a>&nbsp;<a href="index-4.html">E</a>&nbsp;<a href="index-5.html">G</a>&nbsp;<a href="index-6.html">I</a>&nbsp;<a href="index-7.html">M</a>&nbsp;<a href="index-8.html">N</a>&nbsp;<a href="index-9.html">R</a>&nbsp;<a href="index-10.html">S</a>&nbsp;<a href="index-11.html">T</a>&nbsp;<a href="index-12.html">V</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes&nbsp;and&nbsp;Interfaces</a><span class="vertical-separator">|</span><a href="../allpackages-index.html">All&nbsp;Packages</a><span class="vertical-separator">|</span><a href="../serialized-form.html">Serialized&nbsp;Form</a>
<h2 class="title" id="I:S">S</h2>
<dl class="index">
<dt><a href="../EsercizioPalestra/Membro.html#setAbbonamento(EsercizioPalestra.TipologiaAbbonamento)" class="member-name-link">setAbbonamento(TipologiaAbbonamento)</a> - Method in class EsercizioPalestra.<a href="../EsercizioPalestra/Membro.html" title="class in EsercizioPalestra">Membro</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../EsercizioPalestra/Membro.html#setAbbonamentoValido(boolean)" class="member-name-link">setAbbonamentoValido(boolean)</a> - Method in class EsercizioPalestra.<a href="../EsercizioPalestra/Membro.html" title="class in EsercizioPalestra">Membro</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../EsercizioPalestra/Istruttore.html#setAnniEsperienza(int)" class="member-name-link">setAnniEsperienza(int)</a> - Method in class EsercizioPalestra.<a href="../EsercizioPalestra/Istruttore.html" title="class in EsercizioPalestra">Istruttore</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../EsercizioPalestra/Membro.html#setCognome(java.lang.String)" class="member-name-link">setCognome(String)</a> - Method in class EsercizioPalestra.<a href="../EsercizioPalestra/Membro.html" title="class in EsercizioPalestra">Membro</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../EsercizioPalestra/Membro.html#setDataIscrizione(java.time.LocalDate)" class="member-name-link">setDataIscrizione(LocalDate)</a> - Method in class EsercizioPalestra.<a href="../EsercizioPalestra/Membro.html" title="class in EsercizioPalestra">Membro</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../EsercizioPalestra/ClasseDiAllenamento.html#setGiornoClasse(java.lang.String)" class="member-name-link">setGiornoClasse(String)</a> - Method in class EsercizioPalestra.<a href="../EsercizioPalestra/ClasseDiAllenamento.html" title="class in EsercizioPalestra">ClasseDiAllenamento</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../EsercizioPalestra/Membro.html#setIdMembro(java.lang.String)" class="member-name-link">setIdMembro(String)</a> - Method in class EsercizioPalestra.<a href="../EsercizioPalestra/Membro.html" title="class in EsercizioPalestra">Membro</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../EsercizioPalestra/ClasseDiAllenamento.html#setIstruttore(EsercizioPalestra.Istruttore)" class="member-name-link">setIstruttore(Istruttore)</a> - Method in class EsercizioPalestra.<a href="../EsercizioPalestra/ClasseDiAllenamento.html" title="class in EsercizioPalestra">ClasseDiAllenamento</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../EsercizioPalestra/GestionePalestra.html#setListaClassi(java.util.List)" class="member-name-link">setListaClassi(List&lt;ClasseDiAllenamento&gt;)</a> - Method in class EsercizioPalestra.<a href="../EsercizioPalestra/GestionePalestra.html" title="class in EsercizioPalestra">GestionePalestra</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../EsercizioPalestra/ClasseDiAllenamento.html#setListaMembri(java.util.List)" class="member-name-link">setListaMembri(List&lt;Membro&gt;)</a> - Method in class EsercizioPalestra.<a href="../EsercizioPalestra/ClasseDiAllenamento.html" title="class in EsercizioPalestra">ClasseDiAllenamento</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../EsercizioPalestra/GestionePalestra.html#setMappaAbbonamentiMembri(java.util.Map)" class="member-name-link">setMappaAbbonamentiMembri(Map&lt;String, TipologiaAbbonamento&gt;)</a> - Method in class EsercizioPalestra.<a href="../EsercizioPalestra/GestionePalestra.html" title="class in EsercizioPalestra">GestionePalestra</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../EsercizioPalestra/Membro.html#setNome(java.lang.String)" class="member-name-link">setNome(String)</a> - Method in class EsercizioPalestra.<a href="../EsercizioPalestra/Membro.html" title="class in EsercizioPalestra">Membro</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../EsercizioPalestra/ClasseDiAllenamento.html#setNomeClasse(java.lang.String)" class="member-name-link">setNomeClasse(String)</a> - Method in class EsercizioPalestra.<a href="../EsercizioPalestra/ClasseDiAllenamento.html" title="class in EsercizioPalestra">ClasseDiAllenamento</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../EsercizioPalestra/ClasseDiAllenamento.html#setNumeroMaxPartecipanti(int)" class="member-name-link">setNumeroMaxPartecipanti(int)</a> - Method in class EsercizioPalestra.<a href="../EsercizioPalestra/ClasseDiAllenamento.html" title="class in EsercizioPalestra">ClasseDiAllenamento</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../EsercizioPalestra/ClasseDiAllenamento.html#setOrarioClasse(java.lang.String)" class="member-name-link">setOrarioClasse(String)</a> - Method in class EsercizioPalestra.<a href="../EsercizioPalestra/ClasseDiAllenamento.html" title="class in EsercizioPalestra">ClasseDiAllenamento</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../EsercizioPalestra/Istruttore.html#setSpecializzazione(java.lang.String)" class="member-name-link">setSpecializzazione(String)</a> - Method in class EsercizioPalestra.<a href="../EsercizioPalestra/Istruttore.html" title="class in EsercizioPalestra">Istruttore</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../EsercizioPalestra/ClasseDiAllenamento.html#setVoti(java.util.Map)" class="member-name-link">setVoti(Map&lt;String, Integer&gt;)</a> - Method in class EsercizioPalestra.<a href="../EsercizioPalestra/ClasseDiAllenamento.html" title="class in EsercizioPalestra">ClasseDiAllenamento</a></dt>
<dd>&nbsp;</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">C</a>&nbsp;<a href="index-3.html">D</a>&nbsp;<a href="index-4.html">E</a>&nbsp;<a href="index-5.html">G</a>&nbsp;<a href="index-6.html">I</a>&nbsp;<a href="index-7.html">M</a>&nbsp;<a href="index-8.html">N</a>&nbsp;<a href="index-9.html">R</a>&nbsp;<a href="index-10.html">S</a>&nbsp;<a href="index-11.html">T</a>&nbsp;<a href="index-12.html">V</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes&nbsp;and&nbsp;Interfaces</a><span class="vertical-separator">|</span><a href="../allpackages-index.html">All&nbsp;Packages</a><span class="vertical-separator">|</span><a href="../serialized-form.html">Serialized&nbsp;Form</a></main>
</div>
</div>
</body>
</html>
